<template>
  <div class="submit-button">
    <b-button
      type="submit"
      variant="primary"
      class="mt-4"
      :disabled="submitting"
      :class="{
        'btn-multiple-state btn-shadow': true,
        'show-spinner': submitting,
        'show-success': !submitting && errorMsg === false,
        'show-fail': !submitting && errorMsg,
      }"
    >
      <span class="spinner d-inline-block">
        <span class="bounce1"></span>
        <span class="bounce2"></span>
        <span class="bounce3"></span>
      </span>
      <span class="icon success">
        <i class="simple-icon-check"></i>
      </span>
      <span class="icon fail">
        <i class="simple-icon-exclamation"></i>
      </span>
      <span class="label">{{
        customLabel
          ? customLabel
          : formType === "create"
          ? $t("button.create")
          : $t("button.save")
      }}</span>
    </b-button>
    <b-alert
      v-if="successMsg || errorMsg"
      show
      class="mt-4"
      :variant="successMsg ? 'success' : 'danger'"
    >
      {{ successMsg || errorMsg }}
    </b-alert>
  </div>
</template>

<script>
export default {
  props: ["formType", "submitting", "successMsg", "errorMsg", "customLabel"],
};
</script>
